import { Component, TemplateRef, ViewChild, ViewEncapsulation } from '@angular/core';
import { BmTourService } from "../services/bm-tour.service";
import { TourStepTemplateService } from "../services/tour-step-template.service";
var TourStepTemplateComponent = (function () {
    function TourStepTemplateComponent(tourStepTemplateService, tourService) {
        this.tourStepTemplateService = tourStepTemplateService;
        this.tourService = tourService;
    }
    TourStepTemplateComponent.prototype.ngAfterViewInit = function () {
        this.tourStepTemplateService.template = this.tourStepTemplate;
    };
    return TourStepTemplateComponent;
}());
export { TourStepTemplateComponent };
TourStepTemplateComponent.decorators = [
    { type: Component, args: [{
                encapsulation: ViewEncapsulation.None,
                selector: 'tour-step-template',
                styles: ['body { max-height: 100vh; }'],
                template: "\n     <template #tourStep let-step=\"step\">\n     <span class=\"close-tour\" (click)=\"tourService.end()\"></span>\n     <p class=\"title\"> {{step?.title}}</p>\n      <p class=\"tour-step-content \" [innerHTML]=\"step.content\"></p>\n      <div class=\"tour-step-navigation\">\n        <button *ngIf=\"step.showPrev && tourService.hasPrev(step)\" class=\"btn btn-sm btn-default\" (click)=\"tourService.prev()\">\u00AB Prev</button>\n        <button *ngIf=\"step.showNext && tourService.hasNext(step)\" class=\"btn-color btn btn-sm btn-default\" (click)=\"tourService.next()\">Next \u00BB</button>\n        <button *ngIf=\"step.showFinish\" class=\"btn-color btn btn-sm\" (click)=\"tourService.end()\">Finish Tour</button>\n      </div>\n    </template>\n  ",
            },] },
];
/** @nocollapse */
TourStepTemplateComponent.ctorParameters = function () { return [
    { type: TourStepTemplateService, },
    { type: BmTourService, },
]; };
TourStepTemplateComponent.propDecorators = {
    'tourStepTemplate': [{ type: ViewChild, args: ['tourStep', { read: TemplateRef },] },],
};
